# TIMSIEVED

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
FILES
SEE ALSO
AUTHOR
COPYRIGHT

## NAME

timsieved - Cyrus IMAP documentation

CMU hack for getting sieve scripts onto the server

## SYNOPSIS

timsieved `[` -C config-file `] [` -H `]`

## DESCRIPTION

`timsieved` is a server that allows users to remotely manage their sieve scripts kept on the server. It accepts commands on its standard input and responds on its standard output. It MUST be invoked by master(8) with those descriptors attached to a remote client connection.

Cyrus admins who authenticate and authorize as themselves (e.g. don't proxy) manage global scripts.

timsieved reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

## OPTIONS

-C config-file

| -H |  | Tell timsievedd to expect a HAProxy protocol header from the sender.

Use the specified configuration file config-file rather than the default imapd.conf(5).

## EXAMPLES

timsieved is commonly included in the SERVICES section of cyrus.conf(5) like so:

    SERVICES {
        imap        cmd="imapd -U 30" listen="imap" prefork=0
        imaps       cmd="imapd -s -U 30" listen="imaps" prefork=0 maxchild=100
        pop3        cmd="pop3d -U 30" listen="pop3" prefork=0
        pop3s       cmd="pop3d -s -U 30" listen="pop3s" prefork=0 maxchild=100
        lmtpunix    cmd="lmtpd" listen="/var/run/cyrus/socket/lmtp" prefork=0 maxchild=20
        sieve       cmd="timsieved" listen="sieve" prefork=0
        notify      cmd="notifyd" listen="/var/run/cyrus/socket/notify" proto="udp" prefork=1
        httpd       cmd="httpd" listen=8080 prefork=1 maxchild=20
    }

## FILES

/etc/imapd.conf, /etc/cyrus.conf

## SEE ALSO

master(8), imapd.conf(5), cyrus.conf(5)

## AUTHOR

The Cyrus Team, David Carter (dpc22@cam.ac.uk), Ken Murchison (ken@oceana.com), Nic Bernstein (Onlight)

## COPYRIGHT

1993â2025, The Cyrus Team